# Uses of Class
org.eclipse.microprofile.openapi.apps.airlines.model.User

Packages that use User
Package
Description
org.eclipse.microprofile.openapi.apps.airlines.data
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.airlines.model
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.airlines.resources
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of User in org.eclipse.microprofile.openapi.apps.airlines.data

Methods in org.eclipse.microprofile.openapi.apps.airlines.data that return User
Modifier and Type
Method
Description
`User`
UserData.`findUserById(int id)`
`User`
UserData.`findUserByName(String username)`
Methods in org.eclipse.microprofile.openapi.apps.airlines.data with parameters of type User
Modifier and Type
Method
Description
`void`
UserData.`addUser(User user)`

## Uses of User in org.eclipse.microprofile.openapi.apps.airlines.model

Methods in org.eclipse.microprofile.openapi.apps.airlines.model that return User
Modifier and Type
Method
Description
`User`
Review.`getUser()`
Returns the user of this Review
Methods in org.eclipse.microprofile.openapi.apps.airlines.model with parameters of type User
Modifier and Type
Method
Description
`void`
Review.`setUser(User user)`
Sets the user for this Review
Constructors in org.eclipse.microprofile.openapi.apps.airlines.model with parameters of type User
Modifier
Constructor
Description
``
`Review(String id, User user, Airline airlines, int rating, String comment)`
Creates an instance of the Review object with the given fields.

## Uses of User in org.eclipse.microprofile.openapi.apps.airlines.resources

Methods in org.eclipse.microprofile.openapi.apps.airlines.resources that return User
Modifier and Type
Method
Description
`User`
UserResource.`specialOperation(User body, String param1)`
Operation to test hiding of request body and parameter schemas
Methods in org.eclipse.microprofile.openapi.apps.airlines.resources with parameters of type User
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
UserResource.`createUser(User user)`
`jakarta.ws.rs.core.Response`
UserResource.`createUsersWithArrayInput(User[] users)`
`User`
UserResource.`specialOperation(User body, String param1)`
Operation to test hiding of request body and parameter schemas
`jakarta.ws.rs.core.Response`
UserResource.`updateUser(String username, User user)`
Method parameters in org.eclipse.microprofile.openapi.apps.airlines.resources with type arguments of type User
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
UserResource.`createUsersWithListInput(List<User> users)`